Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class DelegatingResultList.DelegatingListIterator<T>

    java.lang.Object
      org.apache.openjpa.kernel.DelegatingResultList.DelegatingListIterator<T>

All Implemented Interfaces:
  Iterator<T>, ListIterator<T>

Enclosing class:
  DelegatingResultList<T>

    public class DelegatingResultList.DelegatingListIterator<T>

extends Object
implements ListIterator<T>

Delegating iterator that also performs exception translation.

Constructor Summary
`DelegatingResultList.DelegatingListIterator(ListIterator<T> it)` Constructor; supply delegate.

Method Summary
`void` | `add(T o)`
`boolean` | `equals(Object other)`
`ListIterator<T>` | `getDelegate()` Return the direct delegate.
`ListIterator<T>` | `getInnermostDelegate()` Return the native delegate.
`int` | `hashCode()`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`T` | `next()`
`int` | `nextIndex()`
`T` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(T o)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingResultList.DelegatingListIterator

    public DelegatingResultList.DelegatingListIterator(ListIterator<T> it)

  Constructor; supply delegate.

Method Detail

### getDelegate

    public ListIterator<T> getDelegate()

  Return the direct delegate.

### getInnermostDelegate

    public ListIterator<T> getInnermostDelegate()

  Return the native delegate.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<T>`
  Specified by:
    `hasNext` in interface `ListIterator<T>`

### next

    public T next()

  Specified by:
    `next` in interface `Iterator<T>`
  Specified by:
    `next` in interface `ListIterator<T>`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator<T>`

### previous

    public T previous()

  Specified by:
    `previous` in interface `ListIterator<T>`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator<T>`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator<T>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<T>`
  Specified by:
    `remove` in interface `ListIterator<T>`

### set

    public void set(T o)

  Specified by:
    `set` in interface `ListIterator<T>`

### add

    public void add(T o)

  Specified by:
    `add` in interface `ListIterator<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.